Bug 530880 - Review Request: ns-tiza-fonts - A Slab-Serif Font
Review Request: ns-tiza-fonts - A Slab-Serif Font
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: TK009
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-25 15:58 EDT by TK009
Modified: 2009-11-16 02:30 EST (History)
6 users (show)

See Also:
Fixed In Version: 20080210-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 21:31:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description TK009 2009-10-25 15:58:42 EDT
Spec URL: http://tk009.fedorapeople.org/ns-tiza-fonts.spec
SRPM URL: http://tk009.fedorapeople.org/ns-tiza-fonts-20080210-1.fc11.src.rpm
Description: Tiza is a bold, chalky slab-serif font inspired on the lovely slab-serif Giza.
Comment 1 Nicolas Mailhot 2009-11-03 15:12:57 EST
Hi Edward,

1. You seem to have based your packaging on an old (pre-fedora-11) template. Please rebase on the fonts template found in fontpackages-devel. It will considerably simplify your packaging and do more things such as generating rpm metadata for the font auto-installer

2. description:
inspired on ⇒ inspired by ?
accent marks ⇒ diacritics http://en.wikipedia.org/wiki/Diacritic
ASCII ⇒ basic latin http://www.unicode.org/charts/PDF/U0000.pdf

3. summary: you need to find a short statement that describes the font without using its name (the font name is already included in the package name, and every package manager will display the package name next to the summary)

4. repo-font-audit notes your rpm is not including font metadata (due to the previously mentioned bad template choice) and that the font could be easily extended to cover more scripts (to relay upstream)

af(1) { 0149 }
az-az(8) { 011e 011f 0130 0131 015e 015f 018f 0259 }
bin(6) { 0300 0301 1eb8 1eb9 1ecc 1ecd }
bm(8) { 014a 014b 0186 0190 019d 0254 025b 0272 }
ca(2) { 013f 0140 }
co(5) { 00c6 00e6 0152 0153 0178 }
crh(6) { 011e 011f 0130 0131 015e 015f }
csb(8) { 0104 0105 0141 0142 0143 0144 017b 017c }
da(2) { 00c6 00e6 }
de(1) { 00df }
et(4) { 0160 0161 017d 017e }
fi(4) { 0160 0161 017d 017e }
fo(3) { 00c6 00e6 00f0 }
fr(5) { 00c6 00e6 0152 0153 0178 }
fy(1) { 00df }
gn(4) { 0129 0169 1ebd 1ef9 }
ha(8) { 0181 018a 0198 0199 01b3 01b4 0253 0257 }
hu(4) { 0150 0151 0170 0171 }
hz(5) { 032f 1e12 1e13 1e4a 1e4b }
ig(6) { 1eca 1ecb 1ecc 1ecd 1ee4 1ee5 }
is(5) { 00c6 00de 00e6 00f0 00fe }
ki(4) { 0128 0129 0168 0169 }
kl(7) { 00c6 00e6 0128 0129 0138 0168 0169 }
kr(4) { 018e 01dd 024c 024d }
ku-tr(2) { 015e 015f } 
lb(1) { 00df }
lg(2) { 014a 014b }
ln(9) { 011a 011b 0186 0190 0254 025b 0301 0302 030c }
mt(8) { 010a 010b 0120 0121 0126 0127 017b 017c }
na(2) { 0168 0169 }
nb(2) { 00c6 00e6 }
nds(1) { 00df }
nn(2) { 00c6 00e6 }
no(2) { 00c6 00e6 }
nso(2) { 0160 0161 }
ny(2) { 0174 0175 }
qu(1) { 02c8 }
ro(6) { 0102 0103 0218 0219 021a 021b }
sco(4) { 01b7 021c 021d 0292 }
shs(1) { 0313 }
sm(1) { 02bb }tig(221) 
tk(6) { 0147 0148 015e 015f 017d 017e }
tn(2) { 0160 0161 }
to(1) { 02bb }
tr(6) { 011e 011f 0130 0131 015e 015f }vi(110) vo(0) 
vot(4) { 0160 0161 017d 017e }
wo(2) { 014a 014b }


5. the OFL license joined to the file claims the author reserves the name as "Tiza Chalk", but the name the font declares is just "Tiza", so maybe upstream did a mistake here. It's very unusual to reserve a name different from the name the font declares. If upstream decides the font is Tiza Chalk after all you'll have to rename the package which is much easier to do before inclusion in Fedora (also need to update the fontconfig rules, but this part is easy)

6. Please ask upstream to update the licensing info in the font file next time they update it (the font file still claims its licensing is CC-By, not OFL)

7. It would probably also be a good idea to check fontlint, though its messages are clear as mud as usual
Comment 2 TK009 2009-11-04 03:41:52 EST
1. I used one of your spec files as a template, oops =). I have correct that and am now using the template from fontpackages-devel.

2. Those were choices made by the creator and I didn't feel comfortable changing them. I have corrected all of them.

3. The font name is not in either the Summary or the %description, only here in the Review Request. No action needed.

4a. Corrected missing metadata.

4b. I have advised the creator of the missing glyph's via email. 

5. Awaiting clarification from the creator on this one.

6. I have advised the creator via email of this issue.

7. I ran repo-font-audit, rpmlint and fontlint correcting all but the warning about the license.

Will the license issue need to be corrected before this can pass review?
Comment 3 Nicolas Mailhot 2009-11-04 04:13:00 EST
(In reply to comment #2)
> 1. I used one of your spec files as a template, oops =). I have correct that
> and am now using the template from fontpackages-devel.

We used to package fonts that way but it was changed for Fedora 11 to accomodate the font autoinstaller and simplify things.

> 2. Those were choices made by the creator and I didn't feel comfortable
> changing them. I have corrected all of them.

Thanks,

> 3. The font name is not in either the Summary or the %description, only here in
> the Review Request. No action needed.

It was in the spec file I checked. Maybe you published the wrong version?

> 7. I ran repo-font-audit, rpmlint and fontlint correcting all but the warning
> about the license.
> 
> Will the license issue need to be corrected before this can pass review?  

No, this is not a blocker, just something it is a very good idea to fix upstream, as it confuses users when the licensing they see in font browsers is not the same the package declares (also I suppose that when Fedora does licensing audits it makes things a lot harder than it should be)
Comment 4 Paul Flo Williams 2009-11-04 04:14:02 EST
(In reply to comment #2)
> 
> Will the license issue need to be corrected before this can pass review?  

It should at least be "OFL", not "OLF" ;-)
Comment 5 Nicolas Mailhot 2009-11-04 04:20:42 EST
(In reply to comment #4)
> (In reply to comment #2)
> > 
> > Will the license issue need to be corrected before this can pass review?  
> 
> It should at least be "OFL", not "OLF" ;-)  

This is the kind of typo which is very hard for humans to notice, sorry :(
Comment 6 TK009 2009-11-04 04:27:06 EST
Thank you for catching it. Stupid mistake on my part. Thanks for helping get this up to speed as well.
Comment 7 TK009 2009-11-05 19:00:35 EST
Spec URL: http://tk009.fedorapeople.org/ns-tiza-chalk-fonts.spec
SRPM URL: http://tk009.fedorapeople.org/ns-tiza-chalk-fonts-20080210-1.fc11.src.rpm

I believe I've made all the requested corrections. I have also spoken with the creator and he will be adding the glyph's at a future point, as well as correcting the license in the font file.
Comment 8 Nicolas Mailhot 2009-11-06 16:04:02 EST
The spec file is now clean
The font is also clean

However it seems I had forgotten to check your fontconfig file (bad bad tired reviewer) and it is not clean:

A. please make sure it conforms to the latest basic template in fontpackages-devel

B. please make sure you use the actual font name in it (can check it with fc-cache). Fontconfig can only act on the name the font files declares, so for your rules to work you need an exact match

C. Please make sure you use the correct generic family for this kind of font (see fontconfig-generics.txt in fontpackages-devel)

D. It's probably not a good idea to put the font at 60, since it lacks bold, italic, etc variants. Let fonts with more variants claim the first places, and increase your prefix value (see fontconfig-priorities.txt in fontpackages-devel)

Anyway that's nice progress on your part, just the last mile to go now
Comment 9 TK009 2009-11-06 19:45:03 EST
I have a question, where is the '60' prefix coming from? both my uploaded spec and the spec in the srpm it is '61'. Is this set somewhere else that I've missed?
Comment 10 TK009 2009-11-06 21:33:23 EST
I should have been clearer in my comment. This is the second time you've seen something in the review that I didn't upload. The first was the font name in the description. I thought it was somehow an error on my part. I checked for the name in the file but made no change as it wasn't there.

Now the font prefix is not correct (I am not sure 61 is correct either, it was a guess after talking to another fonts packager about the setting).

Both my spec file and srpm spec have 61 as the prefix, I am concerned we are not seeing the same file and I am trying to determine the cause.

If Serif is not correct for generic family I will change it to Fantasy, however, I am not sure you see Serif in the file can you confirm that is what you see in the review?
Again I ask this because I am concerned we are not working with the same file?
Comment 11 TK009 2009-11-07 02:23:29 EST
Spec URL: http://linuxkommando.com/dev/ns-tiza-chalk-fonts.spec 
SRPM URL: http://linuxkommando.com/dev/ns-tiza-chalk-fonts-20080210-1.fc12.src.rpm 
 
A. Used basic template in fontpackages-devel. 
 
B. Changed the name in fontconfig to 'Tiza'. 
 
C. Changed generic family to 'fantasy'. I am assuming rule #1 overrides all other rules in fontconfig-generics.txt. 
 
D. Changed prefix from '61' to '64'.
Comment 12 Nicolas Mailhot 2009-11-07 04:30:21 EST
Thanks

I'm going to approve the package, but please do not forget to reference the licensing file in %doc (don't know if I missed this before or if your removed it since the start of review)

⌚⌚⌚ APPROVED ⌚⌚⌚

I'm going to look at Bola now and sponsor you if Bola's packaging is ok

As soon as you're sponsored, you'll be able to continue from:
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

I hope the process was pleasant, and that it will inspire you to package a
other fonts for Fedora. Please do not hesitate to suggest improvements to our
organisation or documentation on the fonts mailing list.
Comment 13 Nicolas Mailhot 2009-11-07 04:34:46 EST
(In reply to comment #10)

> If Serif is not correct for generic family I will change it to Fantasy,
> however, I am not sure you see Serif in the file can you confirm that is what
> you see in the review?
> Again I ask this because I am concerned we are not working with the same file?  

I'm behind a proxy. If you upload a file on a web server that sets expiry time to a high value I won't necessarily see the changes (a common way to avoid this is to increment the Release number each time you have a change, numbers are cheap and having several files with the same id is always dangerous

Lastly, I always work from the spec in the srpm file
Comment 14 Nicolas Mailhot 2009-11-07 04:42:57 EST
(In reply to comment #11)

> C. Changed generic family to 'fantasy'. I am assuming rule #1 overrides all
> other rules in fontconfig-generics.txt. 

fontconfig-generics.txt is a decision graph. A font could be fantasy and serif and monospace at the same time, so you need common rules for everyone to chose the same category in the same circumstances
Comment 15 Nicolas Mailhot 2009-11-07 09:55:25 EST
(the fontlint warning
More points in a glyph than PostScript allows
is probably worth looking at upstream too)
Comment 16 TK009 2009-11-10 08:00:38 EST
New Package CVS Request
=======================
Package Name: ns-tisa-chalk-fonts
Short Description: Chalky slab-serif fonts
Owners: TK009
Branches: F-10 F-11 F-12
InitialCC: fonts-sig
Comment 17 Kevin Fenzi 2009-11-10 22:40:35 EST
cvs done.
Comment 18 TK009 2009-11-11 12:52:59 EST
Correction for typo in package name. No commits or builds have been done.

New Package CVS Request
=======================
Package Name: ns-tiza-chalk-fonts
Short Description: Chalky slab-serif fonts
Owners: TK009
Branches: F-10 F-11 F-12
InitialCC: fonts-sig
Comment 19 Toshio Ernie Kuratomi 2009-11-11 17:44:55 EST
cvs done.
Comment 20 Fedora Update System 2009-11-12 01:51:36 EST
ns-tiza-chalk-fonts-20080210-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ns-tiza-chalk-fonts-20080210-2.fc11
Comment 21 Fedora Update System 2009-11-12 01:51:43 EST
ns-tiza-chalk-fonts-20080210-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ns-tiza-chalk-fonts-20080210-2.fc10
Comment 22 Fedora Update System 2009-11-12 20:58:32 EST
ns-tiza-chalk-fonts-20080210-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ns-tiza-chalk-fonts-20080210-2.fc12
Comment 23 Fedora Update System 2009-11-12 21:31:05 EST
ns-tiza-chalk-fonts-20080210-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-11-12 21:33:48 EST
ns-tiza-chalk-fonts-20080210-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2009-11-16 02:30:27 EST
ns-tiza-chalk-fonts-20080210-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.